<?php
/**
 * Aliases for the PollNY extension.
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English */
$specialPageAliases['en'] = [
	'AdminPoll' => [ 'AdminPoll' ],
	'CreatePoll' => [ 'CreatePoll' ],
	'PollAjaxUpload' => [ 'PollAjaxUpload' ],
	'RandomPoll' => [ 'RandomPoll' ],
	'UpdatePoll' => [ 'UpdatePoll' ],
	'ViewPoll' => [ 'ViewPoll' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'AdminPoll' => [ 'استطلاع_إداري' ],
	'CreatePoll' => [ 'إنشاء_استطلاع' ],
	'PollAjaxUpload' => [ 'رفع_أجاكس_لاستطلاع' ],
	'RandomPoll' => [ 'استطلاع_عشوائي' ],
	'UpdatePoll' => [ 'تحديث_الاستطلاع' ],
	'ViewPoll' => [ 'عرض_الاستطلاع' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'AdminPoll' => [ 'استطلاع_سيسوب' ],
	'CreatePoll' => [ 'عمل_استطلاع' ],
	'PollAjaxUpload' => [ 'رفع_اجاكس_لاستطلاع' ],
	'RandomPoll' => [ 'استطلاع_عشوائى' ],
	'UpdatePoll' => [ 'تحديث_الاستطلاع' ],
	'ViewPoll' => [ 'عرض_الاستطلاع' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'AdminPoll' => [ 'Abstimmung_verwalten' ],
	'CreatePoll' => [ 'Abstimmung_erstellen' ],
	'PollAjaxUpload' => [ 'Abstimmung_hochladen' ],
	'RandomPoll' => [ 'Zufällige_Abstimmung' ],
	'UpdatePoll' => [ 'Abstimmung_aktualisieren' ],
	'ViewPoll' => [ 'Abstimmung_ansehen' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'AdminPoll' => [ 'AnketAdmin' ],
	'CreatePoll' => [ 'AnketVıraz' ],
	'RandomPoll' => [ 'AnketakRaştamé' ],
	'UpdatePoll' => [ 'AnketerNewek' ],
	'ViewPoll' => [ 'AketerBıvin' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'AdminPoll' => [ 'Hallitse_äänestyksiä' ],
	'CreatePoll' => [ 'Luo_äänestys' ],
	'RandomPoll' => [ 'Satunnainen_äänestys' ],
	'UpdatePoll' => [ 'Päivitä_äänestys' ],
	'ViewPoll' => [ 'Katso_äänestys' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'AdminPoll' => [ '投票所管理' ],
	'CreatePoll' => [ '投票所作成' ],
	'PollAjaxUpload' => [ '投票所Ajaxアップロード', '投票所Ａｊａｘアップロード' ],
	'RandomPoll' => [ 'おまかせ投票所' ],
	'UpdatePoll' => [ '投票所更新' ],
	'ViewPoll' => [ '投票所閲覧' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'AdminPoll' => [ '설문조사관리' ],
	'CreatePoll' => [ '설문조사만들기' ],
	'PollAjaxUpload' => [ '설문조사Ajax올리기' ],
	'RandomPoll' => [ '임의설문조사' ],
	'UpdatePoll' => [ '설문조사업데이트' ],
	'ViewPoll' => [ '설문조사보기' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'AdminPoll' => [ 'Ëmfro_geréieren' ],
	'CreatePoll' => [ 'Ëmfro_uleeën' ],
	'PollAjaxUpload' => [ 'Ëmfro_eroplueden' ],
	'RandomPoll' => [ 'Zoufälleg_Ëmfro' ],
	'UpdatePoll' => [ 'Ëmfro_aktualiséieren' ],
	'ViewPoll' => [ 'Ëmfro_weisen' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'AdminPoll' => [ 'РаководиАнкета' ],
	'CreatePoll' => [ 'НаправиАнкета' ],
	'PollAjaxUpload' => [ 'АнкетаПодигањеAjax' ],
	'RandomPoll' => [ 'СлучајнаАнкета' ],
	'UpdatePoll' => [ 'ИзмениАнкета' ],
	'ViewPoll' => [ 'ПрегледАнкета' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'AdminPoll' => [ 'PeilingBeheren' ],
	'CreatePoll' => [ 'PeilingMaken' ],
	'RandomPoll' => [ 'WillekeurigePeiling' ],
	'UpdatePoll' => [ 'PeilingBijwerken' ],
	'ViewPoll' => [ 'PeilingWeergeven' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'AdminPoll' => [ '管理员投票' ],
	'CreatePoll' => [ '创建投票' ],
	'PollAjaxUpload' => [ '投票Ajax上传' ],
	'RandomPoll' => [ '随机投票' ],
	'UpdatePoll' => [ '更新投票' ],
	'ViewPoll' => [ '查看投票' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'AdminPoll' => [ '管理員投票' ],
	'CreatePoll' => [ '建立投票' ],
	'PollAjaxUpload' => [ '投票_Ajax_上傳' ],
	'RandomPoll' => [ '隨機投票' ],
	'UpdatePoll' => [ '覆寫投票' ],
	'ViewPoll' => [ '檢視投票' ],
];
